//Returns the length of str
DLLFUNC var strlenc(STRING *str)
{
	t_int length = 0;
	while(str->chars[length] != '\0')
		length++;
	return _VAR(length);
}

//Appends a STRING.
//Remarks: Define "importDll STRING *dest" before this func is called
DLLFUNC var strcatc(STRING *src, STRING *dest)
{
	if(strcat(dest->chars, src->chars))
		return _VAR(1);
	else
		return _VAR(0);
}

//The strchr function finds the first occurrence of c in STRING.
DLLFUNC var strchrc(STRING *str, var c, STRING *dest)
{
	if(strcpy(dest->chars, strchr(str->chars, _INT(c))))
		return _VAR(1);
	else
		return _VAR(0);
}

//Compares 2 STRINGs
//Return: "x < 0", "0", "x > 0" in number form
DLLFUNC var strcmpc(STRING *str1, STRING *str2)
{
	return _VAR(strcmp(str1->chars, str2->chars));
}

//Copies src to dest. 
//Remarks: Define "importDll STRING *dest" before this func is called
DLLFUNC var strcpyc(STRING *src, STRING *dest)
{
	if(strcpy(dest->chars, src->chars))
		return _VAR(1);
	else
		return _VAR(0);

}

//Switches STRING to lowercase
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var strlwrc(STRING *str, STRING *dest)
{
	if(strcpy(dest->chars, _strlwr(str->chars)))
		return _VAR(1);
	else
		return _VAR(0);
}

//Append characters of a STRING.
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var strncatc(STRING *src, var count, STRING *dest)
{
	if(strncat(dest->chars, src->chars, count))
		return _VAR(1);
	else
		return _VAR(0);
}

//Copy characters of one STRING to another.
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var strncpyc(STRING *src, var count, STRING *dest)
{
	if(strncpy(dest->chars, src->chars, count))
		return _VAR(1);
	else
		return _VAR(0);
}

//Sets the first count characters of STRING to c(converted to char).
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var strnsetc(STRING *str, var c, var count, STRING *dest)
{
	if(strcpy(dest->chars, _strnset(str->chars, _INT(c), (size_t)count)))
		return _VAR(1);
	else
		return _VAR(0);
}

//Scan STRINGs for characters in specified character sets.
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var strpbrkc(STRING *str, STRING *set, STRING *dest)
{
	if(strcpy(dest->chars, strpbrk(str->chars, set->chars)))
		return _VAR(1);
	else
		return _VAR(0);
}

//Scan a STRING for the last occurrence of a character.
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var strrchrc(STRING *str, var c, STRING *dest)
{
	if(strcpy(dest->chars, strrchr(str->chars, _INT(c))))
		return _VAR(1);
	else
		return _VAR(0);
}

//Reverse characters of a STRING.
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var strrevc(STRING *src, STRING *dest)
{
	if(strcpy(dest->chars, _strrev(src->chars)))
		return _VAR(1);
	else
		return _VAR(0);
}

//Set characters of a STRING to a character.
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var strsetc(STRING *str, var c, STRING *dest)
{
	if(strcpy(dest->chars, _strset(str->chars, _INT(c))))
		return _VAR(1);
	else
		return _VAR(0);
}

//Returns a pointer to the first occurrence of a search STRING in a STRING.
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var strstrc(STRING *str, STRING *strsearch, STRING *dest)
{
	if(strcpy(dest->chars, strstr(str->chars, strsearch->chars)))
		return _VAR(1);
	else
		return _VAR(0);
}

//Convert a STRING to uppercase.
//Remarks: Define "importDll STRING *dest" before this func is called
//Return: 0 - successful, -1 failed
DLLFUNC var struprc(STRING *str, STRING *dest)
{
	if(strcpy(dest->chars, _strupr(str->chars)))
		return _VAR(1);
	else
		return _VAR(0);
}